classification
Title: Tix.py class HList missing info_bbox, info_dragsite and info_dropsite
Type: enhancement Stage: test needed
Components: Tkinter Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gpolo Nosy List: ajaksu2, gpolo, loewis, ronpro@cox.net
Priority: normal Keywords: easy, patch

Created on 2005-11-15 00:26 by ronpro@cox.net, last changed 2009-08-18 15:38 by gpolo. This issue is now closed.

Files
File name Uploaded Description Edit
missing_tixhlist_info_subcomands.diff gpolo, 2009-06-21 18:56
Messages (5)
msg60837 - (view) Author: Ron Provost (ronpro@cox.net) Date: 2005-11-15 00:26
class HList in Tix.py is missing the method
info_bbox(); though according to the Tix website, it
exists and should return a list of coordinates for the
bounding box of the list entry whose path is passed
into the function as an argument.

I added the following bit of code to my python 2.4.2
final release build (Tix.py, line 961) and find that it
seems to work just fine.

    def info_bbox( self, entry ):
       coords = self.tk.call( self._w, 'info', 'bbox',
entry ).split( ' ')
       return map( int, coords )

I've attached the modified file for examination.
msg89571 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-06-21 18:49
Should info_dragsite and info_dropsite be added too ? (I guess I would
be too lucky to get an answer after ~3 years). I'm preparing a patch but
I don't tend to use Tix, so it would be good if someone else wrote tests
and at least tested the patch too.
msg89572 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-06-21 18:56
There you go.
msg91695 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-18 14:47
Committed on r74517.
msg91704 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-18 15:37
py3k branch: r74518.
History
Date User Action Args
2009-08-18 15:38:49gpolosetmessages: - msg91705
2009-08-18 15:37:48gpolosetmessages: + msg91705
2009-08-18 15:37:46gpolosetmessages: + msg91704
2009-08-18 14:47:25gpolosetstatus: open -> closed
resolution: fixed
messages: + msg91695
2009-06-21 18:59:49gpololinkissue1230 superseder
2009-06-21 18:57:20gpolosettitle: Tix.py class HList missing info_bbox -> Tix.py class HList missing info_bbox, info_dragsite and info_dropsite
2009-06-21 18:56:28gpolosetfiles: + missing_tixhlist_info_subcomands.diff

messages: + msg89572
2009-06-21 18:49:36gpolosetmessages: + msg89571
2009-05-05 09:14:39georg.brandlsetassignee: loewis -> gpolo

nosy: + gpolo
2009-04-22 14:36:30ajaksu2setkeywords: + easy
2009-03-20 23:12:01ajaksu2setkeywords: + patch
nosy: + ajaksu2
versions: + Python 3.1, Python 2.7

stage: test needed
2005-11-15 00:26:26ronpro@cox.netcreate